#
# Makefile for package administration
#
# DO NOT RUN THIS MAKEFILE DURING INSTALLATION
#

ACLOCAL =	libtool gtk libglade
ALL =		config.h.in configure install-sh ltconfig
CLEAN =		$(ALL) aclocal.m4 config.guess config.sub ltmain.sh
CP =		cp
LTPATCH =	1.3.5
RM =		rm -f
SHELL =		/bin/sh

prefix =	/usr/local
datadir =	$(prefix)/share

all :		$(ALL)

aclocal.m4 :
		for file in $(ACLOCAL); do \
		    cat "$(datadir)/aclocal/$$file.m4"; \
		done >$@

config.guess :	ltconfig

config.h.in :	acconfig.h aclocal.m4 configure.in
		autoheader

config.sub :	config.guess

configure :	aclocal.m4 configure.in
		autoconf

install-sh :
		$(CP) $(datadir)/libtool/$@ .

ltconfig :	configure.in
		libtoolize --copy --force
		patch <misc/ltconfig-$(LTPATCH).diff

ltmain.sh :	ltconfig

clean :
		$(RM) $(CLEAN)
